apiVersion: v1
items:
- apiVersion: controlplane.cluster.x-k8s.io/v1beta2
  kind: ROSAControlPlane
  metadata:
    annotations:
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"controlplane.cluster.x-k8s.io/v1beta2","kind":"ROSAControlPlane","metadata":{"annotations":{},"name":"tf-rosa-sa2","namespace":"ns-rosa-hcp"},"spec":{"additionalTags":{"env":"demo","profile":"hcp"},"availabilityZones":["us-west-2b"],"defaultMachinePoolSpec":{"autoscaling":{"maxReplicas":6,"minReplicas":4},"instanceType":"m5.xlarge"},"domainPrefix":"myhcp","installerRoleARN":"arn:aws:iam::471112697682:role/sa2-HCP-ROSA-Installer-Role","network":{"machineCIDR":"10.0.0.0/16","podCIDR":"10.128.0.0/14","serviceCIDR":"172.30.0.0/16"},"oidcID":"2gsig3na38ktj7fu7r1kcusham2t4ir3","region":"us-west-2","rolesRef":{"controlPlaneOperatorARN":"arn:aws:iam::471112697682:role/sa2-kube-system-control-plane-operator","imageRegistryARN":"arn:aws:iam::471112697682:role/sa2-openshift-image-registry-installer-cloud-credentials","ingressARN":"arn:aws:iam::471112697682:role/sa2-openshift-ingress-operator-cloud-credentials","kmsProviderARN":"arn:aws:iam::471112697682:role/sa2-kube-system-kms-provider","kubeCloudControllerARN":"arn:aws:iam::471112697682:role/sa2-kube-system-kube-controller-manager","networkARN":"arn:aws:iam::471112697682:role/sa2-openshift-cloud-network-config-controller-cloud-credentials","nodePoolManagementARN":"arn:aws:iam::471112697682:role/sa2-kube-system-capa-controller-manager","storageARN":"arn:aws:iam::471112697682:role/sa2-openshift-cluster-csi-drivers-ebs-cloud-credentials"},"rosaClusterName":"tf-rosa-sa2","subnets":["subnet-0b29fae4612c11e23","subnet-022c15174261fb344"],"supportRoleARN":"arn:aws:iam::471112697682:role/sa2-HCP-ROSA-Support-Role","version":"4.17.1","workerRoleARN":"arn:aws:iam::471112697682:role/sa2-HCP-ROSA-Worker-Role"}}
    creationTimestamp: "2025-02-11T16:22:04Z"
    finalizers:
    - rosacontrolplane.controlplane.cluster.x-k8s.io
    generation: 4
    labels:
      cluster.x-k8s.io/cluster-name: tf-rosa-sa2
    name: tf-rosa-sa2
    namespace: ns-rosa-hcp
    ownerReferences:
    - apiVersion: cluster.x-k8s.io/v1beta1
      blockOwnerDeletion: true
      controller: true
      kind: Cluster
      name: tf-rosa-sa2
      uid: 69d7566a-c563-4a9f-acd9-76ff1033a349
    resourceVersion: "5648"
    uid: daaea685-b341-4370-b108-c72e943dbde2
  spec:
    additionalTags:
      env: demo
      profile: hcp
    availabilityZones:
    - us-west-2b
    controlPlaneEndpoint:
      host: ""
      port: 0
    defaultMachinePoolSpec:
      autoscaling:
        maxReplicas: 6
        minReplicas: 4
      instanceType: m5.xlarge
    domainPrefix: myhcp
    enableExternalAuthProviders: false
    endpointAccess: Public
    identityRef:
      kind: AWSClusterControllerIdentity
      name: default
    installerRoleARN: arn:aws:iam::471112697682:role/sa2-HCP-ROSA-Installer-Role
    network:
      hostPrefix: 23
      machineCIDR: 10.0.0.0/16
      networkType: OVNKubernetes
      podCIDR: 10.128.0.0/14
      serviceCIDR: 172.30.0.0/16
    oidcID: 2gsig3na38ktj7fu7r1kcusham2t4ir3
    region: us-west-2
    rolesRef:
      controlPlaneOperatorARN: arn:aws:iam::471112697682:role/sa2-kube-system-control-plane-operator
      imageRegistryARN: arn:aws:iam::471112697682:role/sa2-openshift-image-registry-installer-cloud-credentials
      ingressARN: arn:aws:iam::471112697682:role/sa2-openshift-ingress-operator-cloud-credentials
      kmsProviderARN: arn:aws:iam::471112697682:role/sa2-kube-system-kms-provider
      kubeCloudControllerARN: arn:aws:iam::471112697682:role/sa2-kube-system-kube-controller-manager
      networkARN: arn:aws:iam::471112697682:role/sa2-openshift-cloud-network-config-controller-cloud-credentials
      nodePoolManagementARN: arn:aws:iam::471112697682:role/sa2-kube-system-capa-controller-manager
      storageARN: arn:aws:iam::471112697682:role/sa2-openshift-cluster-csi-drivers-ebs-cloud-credentials
    rosaClusterName: tf-rosa-sa2
    subnets:
    - subnet-0b29fae4612c11e23
    - subnet-022c15174261fb344
    supportRoleARN: arn:aws:iam::471112697682:role/sa2-HCP-ROSA-Support-Role
    version: 4.17.1
    versionGate: WaitForAcknowledge
    workerRoleARN: arn:aws:iam::471112697682:role/sa2-HCP-ROSA-Worker-Role
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
